commit b11d13bc85194c87acafe7c85e033b36106ca088
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 11:55:43 2025 -0400

    fix: skip in grub-live mode

commit 4ec0cd46c34af33df0174ed4521b93cc8fd0e35f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 12:39:16 2025 +0000

    bumped changelog version

commit b4d844bd7c8008453213634e914fe6c1be732608
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 05:43:25 2025 -0400

    improve live mode detection code

commit 87bde26044186c97bdacf6e8903930519c9e994b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 14:11:52 2025 +0000

    bumped changelog version

commit 55ef9cc0e88d9b857b5dda800b1dbf74c91d86b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 09:11:42 2025 -0500

    outpu

commit 7b4f1dd492296d6c8b8b0aec7822f6234c9a9b2f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 14:03:04 2025 +0000

    bumped changelog version

commit ed9332537f884a35a87f0e8bf7af0b6b8612b359
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 06:53:01 2025 -0500

    export

commit 1d509ead24340600a7e3896302b107aa513bb63f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 06:07:10 2025 -0500

    fix printf error message on non-English locales
    
    by setting `LC_ALL=C` environment variable
    
    Thanks to @Decidable3 for the bug report!
    
    https://forums.whonix.org/t/swap-file-creator-error/21128

commit 0ee0e924e05364470216a1b896af4067c47c58fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 28 13:49:43 2025 -0500

    refactoring

commit 912c54d833359dea5cce73ed629afe42794b8005
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 28 13:33:59 2025 -0500

    quotes

commit 2a2035ddeb95d47afff675aa2039eb5b4d8f09d2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 28 13:33:10 2025 -0500

    quotes

commit b3fd247df37d8c0067cc3754ce6f335753b5dad4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 28 13:28:25 2025 -0500

    refactoring

commit 2ccfcbb84612bddb47389f9baa1caf93ad0d23c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 16:30:15 2025 +0000

    bumped changelog version

commit e2834c94318d0bfc592da98c5521a73eb107f5b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:12:34 2025 -0500

    copyright

commit 0760cbe7d7a4272a7c69ace9d46144df2b4ab27d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 18:43:18 2024 +0000

    bumped changelog version

commit 0fc7f4b3abd8cc952de1b275167d20c15edf35cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:21 2024 -0500

    copyright

commit 1f57a4a192613e926a1a2876158f8ac53154e9e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 22:50:40 2024 +0000

    bumped changelog version

commit 9196d2f83d9f8f33616d93c9c3d3a100f843d500
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 17:50:21 2024 -0500

    check if folder of swapfile exists

commit 2d36c7dc0836ec269ca0693b0a59f48b74315e6c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 17:48:50 2024 -0500

    fix

commit 0ef214ac443666efad3dda09271801725f06d076
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 17:44:23 2024 -0500

    add sanity tests to check if swap file is readable/writeable

commit 341f8ef8f09a3c669cabb23ba62f0cddc2f80aaa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 17:41:05 2024 -0500

    fix live mode detection

commit d3cfb1f179cc290bf2e3cdd8b0704cc6ae7bb99f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 15:21:13 2024 +0000

    bumped changelog version

commit 7bbb291e1380e573d995c4c8bcd4404e758b415a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 10:20:06 2024 -0500

    increase verbosity

commit 2ebf1d247979617bb007ee32850f4ac636afcb62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 10:18:41 2024 -0500

    fix: detach mapper only if swap was on

commit 770b9b26b671445d2e1a65e70d590464c6856fe7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 14:58:13 2024 +0000

    bumped changelog version

commit b1f7358a8f6774da4aefeb001f2ebd2b00286065
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 09:55:03 2024 -0500

    minor

commit 77050042f99cfe42aa17885855a68d2e75ecefec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 08:03:29 2024 +0000

    bumped changelog version

commit 5d455a7201ba5c150fa4f83791082e2a496db6ef
Merge: 4919c3a 8395628
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 03:02:28 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/heuristics'

commit 8395628b6ca4323619b710c154f94e19972208c6
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 3 23:40:02 2024 -0600

    Pass disk size to calculate-swap-size, avoid calling calculate-swap-size twice, add some local var declarations

commit 4919c3aa32b2b50dff66f3b3c1d0b5944ddb0bf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 15 11:17:52 2024 +0000

    bumped changelog version

commit da739875e36444ed44a5dfb256419058e40851d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 15 06:17:30 2024 -0500

    sanity test

commit 528694be791b126da112cbf71276a1dacd9273f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 15 06:16:30 2024 -0500

    no longer consider hibernation by default
    
    to have a smaller default swap file by default
    
    and because hibernation is not yet compatible with Secure Boot
    
    https://forums.kicksecure.com/t/enable-and-use-zram-instead-for-swap/654/8

commit 4a3db90f0b14cac04cf7c35549f69074a368fd5e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 29 10:07:05 2024 +0000

    bumped changelog version

commit 03754a2b197e40ce9b4d6c803e85771d0086f60d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 29 06:06:06 2024 -0400

    skip swap-file-creator if xen was detected
    
    (Likely a Qubes HVM, which has dynamic RAM assignment.)

commit a16c6c8ff3a3654c5310881d58c4e4e003a19180
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 25 13:21:48 2024 +0000

    bumped changelog version

commit 7eee84f4ce0a4104b9992540d0b346c04615e945
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 25 08:43:51 2024 -0400

    skip output if live mode is detected and not creating a swap file

commit cc44c8016a12f1e4b944d151f127935be8196e36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 9 15:19:22 2024 +0000

    bumped changelog version

commit cacbe150505ec9d9c674dbd432dc9bf07ab868a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 9 10:19:03 2024 -0500

    skip on ISO

commit eb11492021c3f3b62fe1e4052f2e96755a9b8a6f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 13:50:14 2024 +0000

    bumped changelog version

commit 2b9f8f0c61ae1c4f6bac1668f0099e91efdb53f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 08:48:08 2024 -0500

    fix VM detection to disable hibernation swap file size calculation considerations inside VMs

commit a52bcfd62c16f5310e9268e5944a57f15ec98448
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:37:44 2024 +0000

    bumped changelog version

commit 2846e0418ec39739d703a7ec42e9fe2fbea245b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:42 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit 843965ba2ba6be6ae91b548970ab42a5e08da7b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:46:07 2024 +0000

    bumped changelog version

commit 19af6836de664dcde3f0956246be6a8d089986d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:13:32 2024 -0500

    usrmerge

commit b0950c78d72870d1bfd4053c3f1c846853f94de6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 18 14:11:56 2024 +0000

    bumped changelog version

commit d2d61f1324d88aead415d2c352dcf10693feca08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 18 08:55:46 2024 -0500

    readme

commit f9c7df42fa62b58f67452a19a6aaa0ba795c5e20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 27 13:05:28 2023 +0000

    bumped changelog version

commit bcdda87eda573d0f9cec81aaca733b20731ee53b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 27 08:04:16 2023 -0500

    Depends: bc

commit 2113ae99c38321207beb8bb70fc782f9664c5998
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 18:41:42 2023 +0000

    bumped changelog version

commit dd604bb51ffcae70f6e880a46566973e8ec79535
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 13:40:48 2023 -0500

    fix: handle cases where swapon returns decimal point numbers

commit c83cdae33c07e9cb3991d689affefb4bf97f4e2f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 13:35:13 2023 -0500

    fix

commit 35d67a55e498408e6f5fc8aee51a04fa8bf5ba78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 13:33:48 2023 -0500

    fix: cases where swapon outputs M instead of G

commit 7d3a83a05fab2219daff8ad17c729192d0b9b254
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 13:19:04 2023 -0500

    shellcheck

commit a3194c47dc0a49dda785a1b6e4e79b100ef1dc90
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 13:18:10 2023 -0500

    improved error handling

commit ecb1c8752b591e5afff13559f96de77aedaccb28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 22 16:32:19 2023 +0000

    bumped changelog version

commit 674f3a16d7cac7fa5d180ae854e83e9e8a653f30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 22 10:48:44 2023 -0500

    vastly improve swap-file-creator
    
    * always create a swap file if swap-file-creator is installed
    * increased minimum size of swap file to 6 GB
    * vastly speed up swap-file-creator through use of `fallocate` and `systemd-cryptsetup`
      from several or tens of seconds to around 1 second
    * use `calculate-swap-size` to calculate size of swap file to be created
    * take into account for size calculation if the system is using hibernation,
      it is assumed that this is not the case in VMs, therefore a smaller
      swapfile is sufficient.
    * do not attempt to create a swap file if there is insufficient disk space
    * improved output
    * systemd `After=systemd-random-seed-load.service` for better entropy
    * added a test to check if a swap file with the expected size has been created
    * improved error handling
    * code simplification through integration with systemd / journald for logs and status
    * removed little/unused configuration options, see /etc/default/swap-file-creator
    
    https://forums.whonix.org/t/swap-swap-file-whonix-gateway-freezing-during-apt-get-dist-upgrade-encrypted-swap-file-creator/8317/8

commit d065868b01b18fc6126d1af51bc0d182c8e55c80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 16:31:09 2023 +0000

    bumped changelog version

commit 4f94502308d1b89c9ece28cb254a597df1538331
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 11:30:32 2023 -0500

    increase encrypted swap file size to 1 GB

commit de96c98b026c38ed76bb86c8341a7f62dec22a93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:23:57 2023 +0000

    bumped changelog version

commit 4983b18096bf6f533f896d578cbc489cac760ffa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:27 2023 -0500

    change license to AGPL-3+
    
    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit 1ec8dfd87887c7d07f0722dd471119be16ae9377
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:49:26 2023 -0400

    bumped changelog version

commit 708f892008716acdc8836287f1a6b2cab683f384
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:19:19 2023 -0400

    Kicksecure

commit 11cafae6cf4406a95cd5ee470b4c878c1886fbd6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:10:54 2023 -0400

    Kicksecure

commit d3a31df0977a2f2c40b09c716fd31ad29ff790b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 11:32:43 2023 -0400

    bumped changelog version

commit 5bf142a0c28b8d01e23d3d49ff0ef559625a72d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 11:32:16 2023 -0400

    fix, grep --quiet

commit b983bbf28c6c7c967045722f6a19ac8d72132905
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:37:43 2023 +0000

    bumped changelog version

commit a337c2a0f577a0f0e0897f24bcbfe54ef9c97b61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:31 2023 +0000

    bookworm

commit fdc7e865a2e559be6ca439127ebfea1917d116ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:09:45 2023 +0000

    bumped changelog version

commit a959410bf7abcb411cf5982c10f0f0a88cb88409
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:06 2023 +0000

    readme

commit 8b8fd0d4612e071662496ee5219cf40364a6cb01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:05:35 2023 +0000

    bumped changelog version

commit 16ab04197949b54e886ecf759aca27e085a7ca82
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:47 2023 +0000

    copyright

commit d976a099cd79450eafb5eea7e7d52ab7c4a99415
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:05:00 2023 +0000

    bumped changelog version

commit 93a1759e43670ddbd2857dd965e1c4d8a33f1756
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:33 2023 +0000

    Standards-Version: 4.6.1.0

commit 3b26792f5469fc135f6a2accd3413095fabfde83
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:33:34 2023 +0000

    bumped changelog version

commit 45f5d577eb1b26ed825e5ddd5f8a5d2feaa37335
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:01 2023 +0000

    update copyright year

commit f8c1aaa579d943ecbed91d677696352c76f33def
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 04:53:01 2022 -0400

    bumped changelog version

commit 2ddf86d5e0acd992b0b89635c4398deaa1549551
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 16 02:26:26 2022 -0400

    output

commit 9619c18a1cb66e81682b5a114811588c2a5c133b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 16 02:25:54 2022 -0400

    output

commit 54466d1bbc6e2ff998ba16270b285e949c03543d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 16 02:16:55 2022 -0400

    output

commit bd0a93b59f8eb058a22532871a0e0c02d8655c85
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:20 2022 -0400

    bumped changelog version

commit 7ad7a3e9493e666b9ad3b7477e46d549d9a62997
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:11 2022 -0400

    readme

commit 13adafe61ed0300936f66ae85418e7b035e09340
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:39 2022 -0400

    copyright

commit bf4b9bee026fc35e534533246ed847bc7160dd0e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:17 2022 -0400

    readme

commit c85f144eeba2561847492922fafeb44656d55f51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:34 2021 -0500

    readme

commit 20f016562e2d1a0d88d0412563700b3ee577ba62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 15 18:32:50 2021 -0400

    bumped changelog version

commit ea587d1f9b300f205512e8b440a9c5f589d252f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 14 11:21:52 2021 -0400

    comment

commit f03cd0c0c18a384a3440e9dbe1adebdeafa6d496
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 14 11:20:09 2021 -0400

    `dh_installsystemd --no-stop-on-upgrade`
    
    Use --no-stop-on-upgrade to not stop (and therefore not restart) the
    swap-file-creator systemd unit after package upgrade since there is no
    reason to re-create the swap file during upgrade of this package.
    
    Not using --no-start because swap file should be created after installation
    of this package.
    
    dh_installsystemd manpage:
    --no-stop-on-upgrade
    "Do not stop service on upgrade. This has the side-effect of not restarting the service as a part of the upgrade."

commit d1086a5b7c425a1d146349ce77a77b320c0c816d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 19:50:03 2021 -0400

    bumped changelog version

commit b2b9dae3c16cacc6f786a74ac0fe723cd7794735
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 19:47:06 2021 -0400

    lower verbosity of output during boot
    
    to avoid "swap file created" message to overwrite console login prompt
    
    The alternative, configuring the login prompt to wait for
    swap-file-creator to be done instead would lead to a slower boot process.

commit a762927cdb5dd002035dae4f2cf3d0b884f4dc0f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:59:31 2021 -0400

    bumped changelog version

commit 97330af1ae6650aa382ffd1a73ff4ad73df63728
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:41 2021 -0400

    readme

commit 4e52112115a8d61961327a540ee402a622c8967d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:06:07 2021 -0400

    bumped changelog version

commit 2fa6f47c1028bec892d7f9d319ec6d3a90a2688f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:26 2021 -0400

    bullseye

commit 469970982d5c0a908e947d4ff99a8a82d6be1e94
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:43 2021 -0400

    readme

commit 449779107b72da942fd7888bb8fd7d8ebae8a301
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:36:30 2021 -0400

    bumped changelog version

commit 6a8be55c0b0ed552b7e3716e43be0106dc238a99
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:36:29 2021 -0400

    readme

commit 27643a59b1d0c48370ff4161acc6941b015297ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:22 2021 -0400

    copyright

commit 6f835cf343d85877c0c15e2ac7cd94275b60eab4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 1 16:12:10 2021 -0500

    bumped changelog version

commit 753104cd92e8cdadcab08cde9e94a2ce930e1621
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 28 08:05:53 2020 -0500

    comment

commit fc3c1f7db77bb53c236a3d2cfa7fea9877501b14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 11:56:48 2020 -0500

    bumped changelog version

commit c65edf17f952ac4a296ae6a0aac5a10541579ff6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 13 09:33:23 2020 -0500

    use cryptsetup_pre_wrapper ld-system-preload-disable
    
    to work around issue with hardened malloc slowing down cryptsetup
    
    https://forums.whonix.org/t/hardened-malloc-hardened-memory-allocator/7474/106

commit 0042c35964afaa431803900484462e42968d6015
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:32:51 2020 -0400

    bumped changelog version

commit 827cbbdb1b09bba7ba3561aec6cc948b03d41f9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:32:50 2020 -0400

    readme

commit e622b3358e63fe4f09c255499541b320a16448d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 9 09:43:33 2020 -0400

    swapoff and luksClose only if previously opened
    
    https://forums.whonix.org/t/hardened-malloc-hardened-memory-allocator/7474/106

commit 935ba35283f4871bee1f125e2cf2ac32c602acf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:44:47 2020 -0400

    bumped changelog version

commit 318f910b90096a3f337086492fda4b857e47d609
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:37 2020 -0400

    readme

commit d270de1e2f8d3211bee8d88106e465d4fd484cdb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:51:47 2020 +0000

    bumped changelog version

commit 3f19e56e115ea2a5246d986439c19982c5a9d588
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 11:46:51 2020 +0000

    output

commit 21dcfdd7a8b34513e2dc9d30c144174c6cc6f216
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 09:47:36 2020 +0000

    bumped changelog version

commit 29232f5416bb7569e23a9aa685fc0477e6df6f3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 09:40:49 2020 +0000

    suggest to increase RAM to avoid swapfile

commit 7534539ad2ce957360037f45030bbbcf3d698719
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 09:26:30 2020 +0000

    update path

commit 43af1e19484071268270fdab7ba231a39ee418b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 09:25:48 2020 +0000

    usr/share/swap-file-creator/start -> usr/share/swap-file-creator/swap-file-creator
    
    because systemd uses the file name in console output

commit 6afd302b43dc56f2c995ece39bac4cf31f5f3a6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 09:13:10 2020 +0000

    output

commit f08c46ad9edfff384c5d4c66667474655cd705f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:00:30 2020 -0400

    bumped changelog version

commit 4d833d522cbd520c16496bb6dca8b8dd84a0dd68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:49 2020 -0400

    readme

commit 613c58b46188970ea1da1c9f6fb0103c05e68aa8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:33 2020 -0400

    remove genmkfile

commit 09f0e426f71f394c856b68c7d6020fc3bdff50fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:33:30 2020 -0400

    add debian install file

commit 0fd347c825e85f501f0d292790fcbc792ea466d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:00:16 2020 -0400

    bumped changelog version

commit 6448ffaaa4a7405f095c558b2de626c56fb635a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:59 2020 -0400

    update copyright year

commit 183e99112456f61163f71c9ad5408023c2a10aa4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 15:59:30 2020 -0400

    bumped changelog version

commit 1c1eebc3e73291bf4ea74bb9fdd8950493973d7f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 15:29:17 2020 -0400

    Do nothing inside systemd-nspawn container since does not work and swap is managed by host
    
    ConditionVirtualization=!systemd-nspawn

commit 5ef1398a4969536a0863832b82e02d85b228d2cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 06:00:58 2020 -0500

    bumped changelog version

commit fa82fec2758c6ccd040476bd6802476f920edab4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 03:09:32 2020 -0500

    fix "/usr/share/swap-file-creator/start: line 72: warning: command substitution: ignored null byte in input"
    
    during random password generation

commit 68737601dd582c719fc7aa389a4d4346bac6e881
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 31 07:20:07 2019 -0500

    bumped changelog version

commit 76b4c9fa064d92186bff12208430f8ecccc21732
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 31 07:17:32 2019 -0500

    fix Non-Qubes-Whonix Whonix-Gateway slow boot
    
    initramfs-tools - Begin: Running /scripts/local-block ... done. - takes a long time during boot - RESUME=none
    
    https://forums.whonix.org/t/swap-swap-file-whonix-gateway-freezing-during-apt-get-dist-upgrade-encrypted-swap-file-creator/8317
    
    Thanks to Algernon for reporting this bug!

commit 3b14cc3bd075677da796a481e78cc13b2ae3f17f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 09:33:00 2019 -0500

    bumped changelog version

commit 44524f88a6293f5f4c964816c04540f9e88f83c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 09:30:05 2019 -0500

    readme

commit c5b8861dae774260c9dad1b51a1143ef23db3b9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 3 06:31:35 2019 -0500

    document ENOUGH_RAM

commit 59c7d32cec6484d82dc0559487f49f7c27a250b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 12:33:55 2019 +0000

    bumped changelog version

commit f474e41a8b65fa4b01623573432cbb41187ef8d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 11:51:23 2019 +0000

    fix enough RAM logic

commit e2aec55e254bf5bca1dbb6dcb3d670f122066206
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 07:34:27 2019 -0400

    if there is ENOUGH_RAM (defaults to 1950 MB) ("2 GB"), do not create a swapfile

commit 7d405d4776957dbfbd525319339a69f8fb83b567
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 10:22:40 2019 +0000

    bumped changelog version

commit 068918b260e60dbb982bd09e514b34a784a5c313
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 22 08:52:17 2019 -0400

    Recommends: jitterentropy-rngd

commit 937762a5784acc2ae159b34b479bcf0c8d10a7cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 22 08:51:40 2019 -0400

    After=jitterentropy.service

commit 3544d0683330ac5f524b38948efc8208dc256e8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 21 09:56:18 2019 +0000

    bumped changelog version

commit 8191bd1486518541ce2b7cbdefa200b4a5411dc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 20 03:05:38 2019 -0400

    syntax fix for buster

commit 7c7f394facc35a6c2fa150cd351a62251b581588
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:04:17 2019 +0000

    bumped changelog version

commit a27a913cfcf9e5fb911ed87870fa2eebaef0ed3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:44 2019 +0000

    readme

commit b8af133d1df659cd749681f3337789342c87b69b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:45:27 2019 +0000

    bumped changelog version

commit 11c88bab724712a4188b8b1abf033a3e41b9b263
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:11:55 2019 -0400

    /var/run -> /run

commit 2bfc32436e3dbda6748100b74b3442281dcc2889
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:33:38 2019 +0000

    bumped changelog version

commit b4a0b853fbe6577ae7f8b3eec7bf1f18524e3a8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:36 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit b5acc61f3dcf7791961b909cd34129322428a0b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:50:30 2019 +0000

    bumped changelog version

commit 65410299ba7bcd711047e8a79aef32d534890487
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:09 2019 -0400

    readme

commit 9d296dc88ce6e669f959da64b60fda0a765fec6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:35:26 2019 +0000

    bumped changelog version

commit f627459bef762738b774c5c36907a3704dce0841
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:56 2019 +0000

    update

commit 8463f9b58a94c73738d209e3fdde2b0c553623d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:14:42 2019 +0000

    bumped changelog version

commit 3fa872f38cf8096a5916c61336d7c6c8292fb344
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:52 2019 -0400

    port to debian buster

commit 15a67cc37a95a56056518a143e286685388d1d0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:07 2019 -0400

    port to debian buster

commit 3b5f058135a5ec5def5e639b5304202baf1cded6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:56 2019 -0400

    readme

commit 03b05b232c5c9d43a2a804681d35f1427b0f10dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:03:51 2019 +0000

    bumped changelog version

commit 552468b2df88138013b6b27ca04f8882461abe98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:18 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit b24635f9d28fc4c158c92100e41cb66d998c225e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:37:26 2019 +0000

    bumped changelog version

commit f17704ecbb22126e035262dbb2a26967ebfa9ecf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:41 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 553c3d118bd65ee01cb24b090cfdd4edf8e8f65e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:50:42 2018 +0000

    bumped changelog version

commit 96ebc2d1f07f945b5746d7a293f5061a85d56ad0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:38 2018 +0800

    readme

commit b19536ec70b847805af0968547fbba06039b681d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:20:15 2018 +0000

    bumped changelog version

commit dd63d57b883f215179ebbf2fd084205e24ed3722
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:36 2018 +0000

    readme

commit e86e0894d5bba2bc830577097cc4c48eaedf29bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:58 2018 +0000

    update copyright

commit 51c3bb41bf40abc00256e5ca12017cb13fbee4c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:06 2018 +0000

    update copyright

commit 63e6e91b29844c6921e3ae0d101b89c4df036af7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:18 2018 +0000

    update copyright

commit e8e49d564ec0c49e092c434735f87a4ceb3bbed0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:43 2018 +0000

    update copyright

commit aa3dfdb4b63cfde463f69fb2bff677573c35e2af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:42:30 2017 +0000

    bumped changelog version

commit 9cca1dfedc646c2159325afa1018c500fe5b6dd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 9 13:34:32 2017 +0100

    minor

commit 5dca779156ed5721804cf3746435c58d101b6d0d
Merge: bd48e31 ef4e13d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 9 13:33:40 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit ef4e13db2ada8a8e127c7ee5bba91a70bc962fab
Merge: bd48e31 4e789a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 9 12:31:47 2017 +0000

    Merge pull request #2 from Algernon-01/master
    
    Patches for live system based on initramfs-tools.

commit 4e789a6186cfdd2abb4859b453a20e22c9698c20
Author: Algernon <33966997+Algernon-01@users.noreply.github.com>
Date:   Fri Dec 8 23:37:25 2017 +0000

    Reverted some stuff. Was only relevant for "toram".

commit f95517396ca1b4c37c5d51c7c0c7296317564931
Author: Algernon <33966997+Algernon-01@users.noreply.github.com>
Date:   Fri Dec 8 23:02:54 2017 +0000

    Patches for Whonix live system based on intramfs-tools.

commit 38446865962e8c38cb3b08db1b391065b387ad42
Author: user <33966997+Algernon-01@users.noreply.github.com>
Date:   Mon Nov 27 15:30:43 2017 -0500

    Patches for Whonix live

commit bd48e31818f35d831ef62bc50112f1d6c5b16bb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:09:28 2017 +0000

    bumped changelog version

commit c01fbc1c3a54d2961d621e10a11fcb127f02589e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:52 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit f8aba92f558e7fd21f42534bbd0fa8230ccddf44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:25 2017 +0000

    remove debian/gain-root-command workaround

commit f4633bbc69b3e8244f21bdb034a1088c6fb6a2fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:35:48 2017 +0000

    bumped changelog version

commit 7579abaa0259fb2cdaadf766f40a846cd4cd95d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:41 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit ef597c28a72dbf4656bbcca8221398d9c12bac6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:57:06 2017 +0000

    bumped changelog version

commit 2023100643ca8cd7da3e1937c84add0c1ed1fdb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 8 05:26:24 2017 +0000

    fix bash null byte warning

commit e8d1a90e40bcc6b59dbaabe6b71ac601f66c62b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 8 05:26:04 2017 +0000

    StandardOutput=journal+console

commit 8873f635822c17aaa7bac7d2edf2a6d17934ad31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 8 05:13:50 2017 +0000

    minor

commit 17e245f104207133fb0216ba873000d98abb9ae5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:31:42 2016 +0000

    bumped changelog version

commit f489d586f045a38010bf20f1415abe39bb63953c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:42:58 2016 +0000

    readme

commit 6747a46844bc4ebcb2ef39ad5341f5d67bfe100c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 01:28:53 2016 +0200

    fix, Wants=haveged.service -> After=haveged.service

commit 5199437d10ba20ff490f6cfd5a001f4fb3289516
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:47 2016 +0000

    bumped changelog version

commit 581794f300a1f200bc7dee58f4296551d3406a59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 19:37:38 2016 +0000

    comment

commit e0a766df5ceabf59867008f9d7350c2521cca44b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 13:04:16 2016 +0000

    output

commit d8a6f1f34822b9f2ecc33dbccd8ed94a708b9563
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 13:00:22 2016 +0000

    improved error handler

commit 79e581f06b63b8fc90a7f2933bb56645082d316a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:21 2015 +0000

    bumped changelog version

commit b89bb60943b79e4833994f852aa95c104a4979cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:17 2015 +0000

    bumped changelog version

commit 805ac1ac41ecba09f00f4946a2027c5494e6edb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 16:36:27 2015 +0000

    bumped changelog version

commit f49f572e5a06ed33eeacc5647f0f85751cc611b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 16:01:34 2015 +0000

    systemd unit: added 'StandardOutput=tty' for better look and feel. - https://phabricator.whonix.org/T106

commit 37c16daf2b3bf21386323f9a134423e930c353bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 14:55:50 2015 +0000

    comment

commit e34e423d62485f03400739396b1e0505c117ec05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 15:46:15 2015 +0000

    bumped changelog version

commit f3187350233c4c87ab1bddc7db2734d97efee237
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 15:45:48 2015 +0000

    systemd unit: workaround/fix, removed spaces, likely bug in 'deb-systemd-helper' that prevents enabling the service by default - https://phabricator.whonix.org/T316

commit 569195600f536c48fa99b1e8dfda99ebe360343a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 20:33:12 2015 +0000

    bumped changelog version

commit a8f58cf240763599613e3ab4598a3e7e34400caa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 20:32:46 2015 +0000

    ported to systemd - https://phabricator.whonix.org/T106

commit 26cf56796e336328b39d7ab48985e25e6fd99ebb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:52 2015 +0000

    bumped changelog version

commit 9318e01e0696e330ee63a672cf5ae30be16fc1a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:24 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit 8cdaedd7f7758b08d3edd8523b2e7a72804e5677
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:16:14 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit da6afa94f07891f06ff70d56f0a36c9c161c2d68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:42:47 2015 +0000

    bumped changelog version

commit dcebb7b045d0d95cee56eacc4c0e0879a579d677
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:26 2015 +0000

    added genmkfile to Build-Depends

commit 6af9908063919f75c77d8fcbc28e9cea924dd78f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:46 2015 +0000

    updated makefile generic to version 1.5

commit cba4e22135737f2966766711bfb606c0f905a4c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 14:54:30 2015 +0000

    refactoring for future systemd support - https://phabricator.whonix.org/T106

commit 19fb2efefbab4327d4c919afcf7cf65f7272ad0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:53 2015 +0000

    bumped changelog version

commit 85712f5c5fafce2390559cb26072d7c21ba8f7fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:49 2015 +0000

    updated makefile generic to version 1.4

commit 11353afedabdb0de93d091323756fd6a9b9e4b8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:33 2015 +0000

    bumped changelog version

commit a9d5a5178f4ab65b8c992e357d13bd268031c3f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:45:00 2015 +0000

    added changelog.upstream

commit b567d5b3971b545b30b45df5724c287b426eab71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:51 2015 +0000

    updated makefile generic to version 1.3

commit 30b91c2739429a301013c5852e0b3686a873edc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:53 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 756a1645c6328b11b70b0531da308fcb18c2a88d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:34:54 2015 +0000

    bumped compat from 8 to 9

commit eb558fda217d727ce09592c7bffd3d1cbe648a33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:19 2014 +0000

    updated generic makefile

commit fe5a051ea1250ba008558e076398bd40973504b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:29 2014 +0000

    makefile: refactoring, avoid using IFS

commit 5fdc79f73148f9c14b6653fb02e664389b923d24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:53 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit 6645ae71e6110cc947085c59601fd6f099a8094c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:04 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit 70124beeca3d306b0ca50bb9fbe98316d23b04e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:57 2014 +0000

    readme

commit 3819ba2c3f58646e0786b6ea3bd2bec98fbffce0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:43 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit 51669534b4f36f637467634c2ee968cf1fe29e9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:26 2014 +0000

    Updated debian/changelog.

commit 79e54586cae3075346ad6048c24c7705b57db8c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:29 2014 +0000

    Fixed changelog date.

commit f6b02dc680ac6a330a717fae62dee7109d3c7c44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:31 2014 +0000

    bump version number

commit aad1fddbdbd702f2f5178c2b22adfc4e61705ac0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:19 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit 1eb347811a59fb456349271a4eaa0134d05f2b55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 10 15:06:00 2014 +0000

    fix, check size of swapfile; output

commit 99897b3da98708f8664e25621d9e0aa08234249f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 10 14:51:57 2014 +0000

    fix when less then 512 MB RAM is available at swap file creation time

commit 856a1c394f46699912631eab8807e025e89df98e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 10 14:40:20 2014 +0000

    sanity tests

commit ff6dd48db14a5a7c04941a5ee088e5b2b39c1788
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 10 14:35:42 2014 +0000

    use cryptsetup --batch-mode

commit 16c1cf179e7d4036189ff1437e311a7a83dc9f95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 18:19:31 2014 +0000

    output

commit cd5e77c104000a4306048b23f1e1e9117e67a6a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 18:18:52 2014 +0000

    output

commit 7bb0b3caa28e24a7e52547cb677eedcf2b239749
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 18:09:26 2014 +0000

    intent

commit 7ef0a441e457a36dbbb93516729696817e1ecd41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 18:08:01 2014 +0000

    write errors to log

commit e33c98e9996aab0a8d68fbf65a52e66b9e0a6827
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 18:07:20 2014 +0000

    added Recommends: haveged

commit 550ee509614e3de203e6af3056c22b4709412acc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 18:03:21 2014 +0000

    wait on error so message can be seen

commit 9cade82fa4d54e0b614ef5e6952b27b3095ea98a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 17:52:26 2014 +0000

    /swapfile -> /var/swapfile

commit 80086b109e5765dd5756c31900ecdbe28a704ab5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 16:40:51 2014 +0000

    fix

commit cb00763f0b4b6d1f869ab338f3a570be21782e0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 14:53:52 2014 +0000

    sanity test if "$RANDOM_DEVICE" exists

commit 2907a8421a6c03a4b23f19847afd04a79813eca6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 14:50:00 2014 +0000

    made /dev/random configurable by RANDOM_DEVICE variable

commit 2e632a885a5d63e1c35f6d8df662683d71209afa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 14:48:16 2014 +0000

    timeout when reading from /dev/random

commit 615f89fd46555f23e5d1bc4a1fc0cfb87dd663c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 29 13:41:35 2014 +0000

    init script, added Should-Start: haveged

commit 46eae7000bf973c8ad330319351790f58ba82771
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:29 2014 +0000

    packaging

commit 8613437b25dd06845d69934c8b550678f6ee442b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:14 2014 +0000

    packaging

commit 75bead4fb39db8ec6d35379cd545732b338af286
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:39 2014 +0000

    packaging

commit 135bdc8d2565d76730f1f514386f73565ad438cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:07 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit 16c3326a1466020c7d031dc0972d23bb354d560c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:11:03 2014 +0000

    packaging

commit e7d86240193fd415ecd8113829ed01c9c2b8358c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:20 2014 +0000

    packaging

commit c75742058fa7d58c86efdf9f7e5de2024b5707a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:25:19 2014 +0000

    use $BASH_SOURCE instead of $0

commit defe139ef4431f7f975d8fbb9d6d03a573fc11ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:09:44 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit 8dbd63d2f0bb6eb6dbc529016d06c3563a52eea5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 11:56:22 2014 +0000

    output, fixed duplicate "INFO"

commit 0c18ca556323750afdbc0a5a27c85ed6fc77b331
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 28 01:56:55 2014 +0000

    output

commit da26dce139cdfbfed7b0bf3a502e1afa77bc2490
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 27 14:20:38 2014 +0000

    fix

commit 444011c815330e625df3cb1d6f0fdb120131d5b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:14 2014 +0000

    added debian epoch; added dotglob

commit 3d082c3baa59c78527108aee911ae21bf9f2aec7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 21 10:53:33 2014 +0000

    fix

commit 30ecc393532c0a338b63c6d616fbcdbf706ae1f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 15:01:41 2014 +0000

    output

commit 29203bddbd038659b81192d5b9791364ae4972ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 15:00:43 2014 +0000

    output

commit 96505a8c0ee04482a644af23eb1969932181ef22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:37 2014 +0000

    readme

commit 38f70e6fb9158ced9fc15d36a881edd505a67047
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 17:15:04 2014 +0000

    fix, removed X-Interactive, not required

commit 50dcf3c16685ef1a6afc441d8301f2efc757dc09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 17:08:58 2014 +0000

    source /etc/default/swap-file-creator; lsb description

commit 4819fcdc572ec32ae08e5a370cef32f0b6621dd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 14:09:25 2014 +0000

    encrypt swapfile on boot with random password, create swap file on boot using init script instead of postinst script

commit df40e77583baee6866ba5ce8f2cf76d5122f4e82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:36 2014 +0000

    readme

commit 4551275805b0a604d4c26340376e290eb94c112e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 31 14:00:58 2014 +0000

    initial import from https://github.com/Whonix/Whonix
